Get a team's phases
Returns the workflow phases of a version (the latest when version_id is omitted) and which version that is, so a client can show or pin it.
Requires a token whose user can see the team given by team_id: a public listed team, or a team of an organization you belong to.
POST
/
v1
/
teams
/
get_phases
Get a team's phases
curl --request POST \
--url https://{host}/v1/teams/get_phases \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"team_id": "3f6c2a8e-6b1d-4c1e-9a57-0d2f4b8e91c4"
}
'import requests
url = "https://{host}/v1/teams/get_phases"
payload = { "team_id": "3f6c2a8e-6b1d-4c1e-9a57-0d2f4b8e91c4" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({team_id: '3f6c2a8e-6b1d-4c1e-9a57-0d2f4b8e91c4'})
};
fetch('https://{host}/v1/teams/get_phases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/v1/teams/get_phases",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'team_id' => '3f6c2a8e-6b1d-4c1e-9a57-0d2f4b8e91c4'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{host}/v1/teams/get_phases"
payload := strings.NewReader("{\n \"team_id\": \"3f6c2a8e-6b1d-4c1e-9a57-0d2f4b8e91c4\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{host}/v1/teams/get_phases")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"team_id\": \"3f6c2a8e-6b1d-4c1e-9a57-0d2f4b8e91c4\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/v1/teams/get_phases")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"team_id\": \"3f6c2a8e-6b1d-4c1e-9a57-0d2f4b8e91c4\"\n}"
response = http.request(request)
puts response.read_body{
"ok": true,
"data": {
"team_id": "3f6c2a8e-6b1d-4c1e-9a57-0d2f4b8e91c4",
"version_id": "61e2d3c4-b5a6-4789-8c0d-1e2f3a4b5c6d",
"version": "1.5.0",
"phases": [
{
"name": "review",
"agent": "claude-code"
},
{
"name": "fix",
"agent": "claude-code",
"upstream": [
"review"
]
}
]
}
}
Authorizations
User PAT (cliq_tok_…, including session-scoped) or realm token (cliq_dt_…).
Body
application/json
⌘I
Get a team's phases
curl --request POST \
--url https://{host}/v1/teams/get_phases \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"team_id": "3f6c2a8e-6b1d-4c1e-9a57-0d2f4b8e91c4"
}
'import requests
url = "https://{host}/v1/teams/get_phases"
payload = { "team_id": "3f6c2a8e-6b1d-4c1e-9a57-0d2f4b8e91c4" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({team_id: '3f6c2a8e-6b1d-4c1e-9a57-0d2f4b8e91c4'})
};
fetch('https://{host}/v1/teams/get_phases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/v1/teams/get_phases",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'team_id' => '3f6c2a8e-6b1d-4c1e-9a57-0d2f4b8e91c4'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{host}/v1/teams/get_phases"
payload := strings.NewReader("{\n \"team_id\": \"3f6c2a8e-6b1d-4c1e-9a57-0d2f4b8e91c4\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{host}/v1/teams/get_phases")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"team_id\": \"3f6c2a8e-6b1d-4c1e-9a57-0d2f4b8e91c4\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/v1/teams/get_phases")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"team_id\": \"3f6c2a8e-6b1d-4c1e-9a57-0d2f4b8e91c4\"\n}"
response = http.request(request)
puts response.read_body{
"ok": true,
"data": {
"team_id": "3f6c2a8e-6b1d-4c1e-9a57-0d2f4b8e91c4",
"version_id": "61e2d3c4-b5a6-4789-8c0d-1e2f3a4b5c6d",
"version": "1.5.0",
"phases": [
{
"name": "review",
"agent": "claude-code"
},
{
"name": "fix",
"agent": "claude-code",
"upstream": [
"review"
]
}
]
}
}